org.eclipse.ease.lang.unittest

## Interface IAssertion

All Known Implementing Classes:
  DefaultAssertion

    public interface IAssertion

Return value type that can be checked for validity.

### Field Summary

Fields
`static IAssertion` `INVALID` Invalid assertion.
`static IAssertion` `VALID` Valid assertion.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isValid()` Return `true` when assertion is valid.
`void` `throwOnError()` Throw exception in case `isValid()` is `false`.

### Field Detail

#### VALID

    static final IAssertion VALID

Valid assertion.

#### INVALID

    static final IAssertion INVALID

Invalid assertion.

### Method Detail

#### isValid

    boolean isValid()

Return `true` when assertion is valid.

Returns:
  `true` on valid assertion

#### throwOnError

    void throwOnError()
               throws AssertionException

Throw exception in case `isValid()` is `false`.

Throws:
  `AssertionException` - when `isValid()` is `false`